Announcement Announcement Module
Collapse
No announcement yet.
tc Server 2.1.1 Now Available Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • tc Server 2.1.1 Now Available

    I'm pleased to announce that tc Server 2.1.1 is now available. This release contains a number of defect fixes.

    The changes in the release are

    ** Defect
    * [TCS-1440] - Host name restrictions are not enforced
    * [TCS-1451] - The templating mechanism should match -Xmx1024m and -Xmx1024M
    * [TCS-1456] - When starting a combined layout instance, the runtime version that's shown is always the latest available version irrespective of the version that was specified when creating the instance
    * [TCS-1458] - Using a symlinked directory for an instance causes problems with the control actions in Hyperic
    * [TCS-1493] - Context not respected when cold deploying
    * [TCS-1508] - tcsadmin command line interface does not start, stop, restart the tc Runtime instances
    * [TCS-1523] - Could not execute JDBC batch update : when trying to add a dupicate tc runtime resource to group using tcsadmin
    * [TCS-1524] - Configuring JVM_OPTS when existing setenv.sh does not contain CATALINA_OPTS variable removes setting of JVM_OPTS from the script
    * [TCS-1525] - Not able to use put-file command with --servername option using tcsadmin
    * [TCS-1526] - console output can be improved when trying to add tc runtime resource to a non exists group using tcsadmin
    * [TCS-1527] - console output reason is not in context when deploy-application failed using tcsadmin
    * [TCS-1530] - Providing tomcat-juli.jar in the base template makes it harder to runs tools like the JspC task
    * [TCS-1538] - Error message for invalid serverid when listing/setting java opts in tcsadmin is wrong
    * [TCS-1539] - error message can be improved when trying to execute get-file/put-file with an invalid serverid using tcsadmin
    * [TCS-1540] - Errror message for invalid groupid when using put-file can be improved in tcsadmin
    * [TCS-1541] - Can't set jvm options using tcsadmin with --servername
    * [TCS-1542] - Can't list jvm options by servername in tcsadmin
    * [TCS-1543] - Can't list java options in tcsadmin using server ID
    * [TCS-1555] - Incorrect wording when deleting non-existent group in tcsadmin
    * [TCS-1564] - Error message for invalid groupname when using list/deploy/stop/start/reload/undeploy application can be improved in tcsadmin
    * [TCS-1565] - Invalid error message when trying to modify a nonexistent server by ID
    * [TCS-1566] - Wording mistake when reverting config for a non-existent server.

    Please see the tc Server Web pages for more information: http://www.springsource.com/products/tcserver

  • #2
    What is the best (recommended) system configuration to run the vFabric Hyperic server (part tc Server Enterprise Edition).

    Thanks,
    YA

    Comment


    • #3
      Depends on the expected size of your installation. (How many platforms do you intend to monitor?)

      See doc here: http://support.hyperic.com/display/E...n+Requirements

      For example:

      For small to medium deployments, up to 50 managed platforms:

      * 1 GHz or higher Pentium 4, or equivalent (2 x 2.4GHz Pentium Xeon or equivalent recommended)
      * 1 GB RAM (4 or more GB recommended)
      * 1-5 GB Free Disk Space


      ...and if you plan a large environment:

      http://support.hyperic.com/display/E...ed+Performance

      Hope that helps.

      Comment


      • #4
        Thank you.
        I see the latest version tc Server (2.1.1) based on Tomcat 6.0.29.C. Is there any plan to go to 6.0.30 version. We have some applications running onTomcat 6.0.30, that makes to easy to migrate on tcServer [We are in the process of migration, started already].

        So trying to evaluate the scenario against the timeframe when tcServer gets on Tomcat 6.0.30 or later.

        Thanks,
        YA

        Comment


        • #5
          For that matter, any word on Tomcat 7.0.6?

          Comment


          • #6
            Originally posted by yadepu View Post
            So trying to evaluate the scenario against the timeframe when tcServer gets on Tomcat 6.0.30 or later.

            Thanks,
            YA
            tc Server 2.0.6 and 2.1.2 will both include Tomcat 6.0.30. Both will be available within the next month or so.

            Comment


            • #7
              Originally posted by dseale View Post
              For that matter, any word on Tomcat 7.0.6?
              Tomcat 7.0.6 is the first release that's been declared stable by the ASF. This means that no further API changes will be made, and it's now bug fixes only. This is a major step towards Tomcat 7 being ready for use in a production environment and we plan to include Tomcat 7 in the next major version of tc Server.

              Comment

              Working...
              X